
Figure - Bug #117800
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.launcher3（3）
2023-05-08 10:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版）

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-09

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.launcher3 (pid 721)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: android.view.ViewRootImpl cannot be cast to android.view.View

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.ClassCastException: android.view.ViewRootImpl cannot be cast to android.view.View

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:83)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.computeLocationRelativeToContainer(ViewGroupFocusHelper.java:93)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.viewToRect(ViewGroupFocusHelper.java:49)

//     at com.android.launcher3.keyboard.ViewGroupFocusHelper.viewToRect(ViewGroupFocusHelper.java:31)

//     at com.android.launcher3.keyboard.ItemFocusIndicatorHelper.getDrawRect(ItemFocusIndicatorHelper.java:151)

//     at com.android.launcher3.keyboard.ItemFocusIndicatorHelper.invalidateDirty(ItemFocusIndicatorHelper.java:127)

//     at com.android.launcher3.keyboard.ItemFocusIndicatorHelper.onAnimationUpdate(ItemFocusIndicatorHelper.java:118)

//     at android.animation.ValueAnimator.animateValue(ValueAnimator.java:1566)

//     at android.animation.ObjectAnimator.animateValue(ObjectAnimator.java:987)

//     at android.animation.ValueAnimator.animateBasedOnTime(ValueAnimator.java:1357)

//     at android.animation.ValueAnimator.doAnimationFrame(ValueAnimator.java:1489)
//     at android.animation.AnimationHandler.doAnimationFrame(AnimationHandler.java:146)

//     at android.animation.AnimationHandler.access$100(AnimationHandler.java:37)

//     at android.animation.AnimationHandler$1.doFrame(AnimationHandler.java:54)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1118)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:854)

//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-08 11:08 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-05-08 13:59 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

#3 - 2023-05-08 14:57 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.5带开机动画版） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版）

#4 - 2023-05-08 17:33 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

由于递归查找，未知原因导致出口的设计没有拦截到，最终类型转换错误

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198292

#5 - 2023-05-08 17:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198292 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:Fixed monkey crashTC-RID: 0301-0205301IssueID: TS-R-BUG-117800Change-Id: Icadf7607646bfb34b7fd602968c9b1be9be1795d

#6 - 2023-05-08 17:53 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-09

- Root cause set to AOSP问题

#7 - 2023-05-12 17:58 - CD TEST-方永红

5.12

0099未复现

#8 - 2023-05-15 10:54 - CD TEST-方永红

5.15

13日DB未复现

#9 - 2023-05-16 14:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

15日DB未复现

先关闭

#10 - 2023-05-16 14:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CD TEST-方永红
